VERSION 5.00
Begin VB.Form frmLinearSweep 
   Caption         =   "Linear Sweep"
   ClientHeight    =   2385
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3480
   LinkTopic       =   "Form1"
   ScaleHeight     =   2385
   ScaleWidth      =   3480
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmLinearSweep.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdLinearSweep 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmLinearSweep"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdLinearSweep_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent VISA COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the libraries in the Project/References menu:
    ' "VISA COM 1.0 Type Library", corresponds to VISACOM.tlb
    ' "Agilent VISA COM Resource Manager 1.0", corresponds to AgtRM.DLL
    ' "VISA COM 488.2 Formatted I/O 1.0", corresponds to the BasicFormattedIO.dll
    '
    ' Then use a statement such as "Dim Fgen As VisaComLib.FormattedIO488"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New VisaComLib.FormattedIO488" to create the actual object.

    Dim io_mgr As VisaComLib.ResourceManager
    Dim Fgen As VisaComLib.FormattedIO488

    Set io_mgr = New AgilentRMLib.SRMCls
    Set Fgen = New VisaComLib.FormattedIO488
    Set Fgen.IO = io_mgr.Open(txtIO.Text)
    
    On Error GoTo MyError

    ' This program sets up a linear sweep using a sinusoid
    ' waveform.  It sets the start and stop frequency and sweep
    ' time.

    With Fgen

        .WriteString "*RST"                     ' Reset the function generator
        .IO.Clear                               ' Clear errors and status registers

        .WriteString "FUNCtion SINusoid"        ' Select waveshape

        .WriteString "OUTPut:LOAD 50"           ' Set the load impedance to 50 Ohms (default)
        .WriteString "VOLTage 1"                ' Set the amplitude to 1 Vpp.

        .WriteString "SWEep:SPACing LINear"     ' Set Linear or LOGarithmic spacing
        .WriteString "SWEep:TIME 1"             ' Sweep time is 1 second
        .WriteString "FREQuency:STARt 100"      ' Start frequency is 100 Hz
        .WriteString "FREQuency:STOP 20e3"      ' Stop frequency is 20 kHz

        ' Frequency sweep limits may also be set as FREQuency:CENTer and FREQuency:SPAN on the 33250A
        ' For the 33250A, also see MARKer:FREQuency

        .WriteString "OUTPut ON"                ' Turn on the instrument output
        .WriteString "SWEep:STATe ON"           ' Turn sweep on

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub


